Ruby Multiple Security Bypass and Denial of Service Vulnerabilities

Solution:
The vendor has released fixes. Please see the references for more information.


Mandriva Linux Mandrake 2008.0 x86_64

Mandriva Linux Mandrake 2008.0

Apple Mac OS X Server 10.5

Debian Linux 4.0 amd64

Debian Linux 4.0 ia-32

Debian Linux 4.0 hppa

Debian Linux 4.0 mipsel

Debian Linux 4.0 ia-64

Debian Linux 4.0 mips

Mandriva Linux Mandrake 2008.1 x86_64

Debian Linux 4.0 arm

Mandriva Linux Mandrake 2008.1

Debian Linux 4.0 powerpc

Debian Linux 4.0 m68k

Debian Linux 4.0 sparc

Debian Linux 4.0 s/390

Debian Linux 4.0 alpha

MandrakeSoft Corporate Server 4.0

Yukihiro Matsumoto Ruby 1.8.5 -p230

Yukihiro Matsumoto Ruby 1.8.5 -p115

Yukihiro Matsumoto Ruby 1.8.5

Yukihiro Matsumoto Ruby 1.8.5 -p2

Yukihiro Matsumoto Ruby 1.8.5 -p231

Yukihiro Matsumoto Ruby 1.8.6

Yukihiro Matsumoto Ruby 1.8.6 -p230

Yukihiro Matsumoto Ruby 1.8.6 -p114

Yukihiro Matsumoto Ruby 1.8.6 -p229

Yukihiro Matsumoto Ruby 1.8.6 -p286

Yukihiro Matsumoto Ruby 1.8.7

Yukihiro Matsumoto Ruby 1.8.7 -p22

Yukihiro Matsumoto Ruby 1.8.7 -p21

Yukihiro Matsumoto Ruby 1.8.7 -p71

Apple Mac OS X 10.5.1

Apple Mac OS X Server 10.5.1

Apple Mac OS X 10.5.2

Apple Mac OS X Server 10.5.2

Apple Mac OS X 10.5.3

Apple Mac OS X Server 10.5.3

Apple Mac OS X 10.5.4

Apple Mac OS X Server 10.5.4

Apple Mac OS X Server 10.5.5

Apple Mac OS X 10.5.6

Apple Mac OS X Server 10.5.6

MandrakeSoft Corporate Server 3.0

MandrakeSoft Corporate Server 3.0 x86_64


 

Privacy Statement
Copyright 2010, SecurityFocus